hpireset(1)

NAME
hpireset - This sample openhpi application exercises HPI Reset Management APIs.

SYNOPSIS
 hpireset [-D nn] [-N host[:port]] [-C <cfgfile>] [-r -w -h -X]
 hpireset [--domain nn] [--host=host[:port]] [--cfgfile=file] [--hard --warm --help --debug]

DESCRIPTION
hpireset searches the Resource Presence Table (RPT) for resources with Reset Capability. It sends the requested reset action to all resources with SAHPI_CAPABILITY_RESET.

If no domain is selected, hpireset uses a session with the default domain. The selected domain id must be configured via the openhpidclient.conf file specified in the environment.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-r, --hard
    Hard resets the system

-w, --warm
    Warm resets the system

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpipower       hpitop
         hpidomain      hpigensimdata  hpisensor      hpitree
         hpiel          hpiiinv        hpisettime     hpiwdt
         hpievents      hpionIBMblade  hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)